Summary: A language for data analysis and graphics
Name: R-base
Version: 0.62.4
Release: 2
Source0: ftp.stat.math.ethz.ch:/R-CRAN/src/base/R-0.62.4.tgz
Patch0: R-LIBINDEX.patch
Copyright: gpl
Group: Development/Languages
Packager: Martyn Plummer <plummer@iarc.fr>
URL: http://www.ci.tuwien.ac.at/R/
Prefix: /usr
BuildRoot: /var/tmp/R
Icon: logosm-trans.gif
Requires: sed

%description 
A system for statistical computation and graphics. R consists of a
language plus a run-time environment with graphics, a debugger, access
to certain system functions, and the ability to run programs stored in
script files. 

The design of R has been heavily influenced by two existing languages:
Becker, Chambers & Wilks' S and Sussman's Scheme. Whereas the resulting
language is very similar in appearance to S, the underlying implementation
and semantics are derived from Scheme.

%prep
%setup -q -n R-%{PACKAGE_VERSION}
%patch -p1

%ifarch alpha
   #Thanks to Nassib Nassar <nassar@etymon.com>
   export CFLAGS="-mieee -g -O1"
%endif

./configure --prefix=${RPM_BUILD_ROOT}/usr

#Building on RedHat 5.1, link against earlier version of ncurses
#to maintain binary compatibility with RedHat 5.0
if [ -f /etc/redhat-release ] && [ -f /usr/lib/libncurses.so.3.0 ]; then
   if (grep -e "release 5.1 (Manhattan)" /etc/redhat-release); then
      sed -e "s@-lncurses@/usr/lib/libncurses.so.3.0@" Makeconf > tmp
      mv tmp Makeconf
   fi
fi

%build
make 

%install
rm -rf $RPM_BUILD_ROOT

make install
install -m 644 bin/R ${RPM_BUILD_ROOT}/usr/lib/R/bin/R
install etc/LIBINDEX ${RPM_BUILD_ROOT}/usr/lib/R/etc/LIBINDEX

#Fix location of RHOME in shell wrapper
#
cd ${RPM_BUILD_ROOT}
sed -e "s@RHOME=.*@RHOME=/usr/lib/R@" usr/lib/R/bin/R > usr/bin/R
chmod 755 usr/bin/R

%clean
rm -rf $RPM_BUILD_ROOT

%pre 
#This file - a hangover from 0.61 - doesn't get removed when you
#upgrade due to a faulty preun script in a previous version.
rm -f ${RPM_INSTALL_PREFIX}/lib/R/library/index.html

%post
if [ $RPM_INSTALL_PREFIX != "/usr" ]; then
   cd ${RPM_INSTALL_PREFIX}
   sed -e "s@RHOME=.*@RHOME=${RPM_INSTALL_PREFIX}/lib/R@" lib/R/bin/R > bin/R
   chmod 755 bin/R
fi

${RPM_INSTALL_PREFIX}/bin/R LIBINDEX

%files 
%defattr(-,root,root)
/usr/bin/R
/usr/bin/Rd2txt
/usr/bin/Rdconv
/usr/bin/Rdindex
/usr/bin/Sd2Rd
/usr/man/man1/R.1
/usr/man/man1/Rd2txt.1
/usr/man/man1/Rdconv.1
/usr/man/man1/Rdindex.1
/usr/man/man1/Sd2Rd.1
/usr/lib/R
%doc CHANGES COPYING COPYRIGHTS MIRROR-SITES PLATFORMS PROJECTS README RESOURCES TASKS

%changelog
* Tue Oct 27 1998 Jeff Johnson <jbj@redhat.com>
- re-package for powertools from Martyn Plummer <plummer@iarc.fr>
